| DocBook: The Definitive Guide 2.0.17 (Alpha)

# funcprototype

$Revision$

$Date$

funcprototype — The prototype of a function

## Synopsis

### Content Model

    funcprototype ::=
    (modifier*,funcdef,
     (void|varargs|
      (paramdef+,varargs?)),
     modifier*)

### Attributes

Common attributes

## Description

A wrapper for a function prototype in a `FuncSynopsis`.

### Processing expectations

See `FuncSynopsis`.

### Parents

These elements contain funcprototype: `funcsynopsis`.

### Children

The following elements occur in funcprototype: `funcdef`, `modifier`, `paramdef`, `varargs`, `void`.

## See Also

`funcdef`, `funcparams`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

For examples, see `funcdef`, `funcparams`, `funcsynopsis`, `paramdef`, `refentry`, `varargs`.

funcparams |  | funcsynopsis

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.